
#include "gamebase/GameBase.hpp"
#include "ochess.hpp"
#include "BaseGameTab.hpp"
#include "BaseImportTab.hpp"
#include "BaseManageTab.hpp"

wxDECLARE_EVENT(NEW_GAME_EVENT, wxCommandEvent);


class BaseTab : public TabBase, public TabInfos {
  std::shared_ptr<GameBase> base;
  std::shared_ptr<Game> game;
  BaseGameTab *games_tab;
  BaseImportTab *import_tab;
  BaseManageTab *manage_tab;

  void OnNewGame(wxCommandEvent &event);
public:
  BaseTab(wxFrame *parent, std::string base_file);

  void ApplyPreferences();
  void RefreshLabel();
  std::shared_ptr<Game> GetGame() { return (std::shared_ptr<Game>(game)); }
  std::shared_ptr<GameBase> GetBase() { return (std::shared_ptr<GameBase>(base)); };
};